# class DocumentTimeline

#### package js.html

#### extends AnimationTimeline

Available on HTML5

The `DocumentTimeline` interface of the the Web Animations API represents animation timelines, including the default document timeline (accessed via `Document.timeline`).

Documentation DocumentTimeline by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/DocumentTimeline

### Inherited Variables

#### Defined by AnimationTimeline

###

`read onlycurrentTime:Float`

Returns the time value in milliseconds for this timeline or `null` if this timeline is inactive.

### Inherited Methods